#!/bin/bash
set -e

dim=2
for nodes in {1..1}; do
    for gpus in {1,8}; do
        for batch_size in {64,128}; do
            for iteration in {1..1}; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, iteration ${iteration}

                # For single node
                if [ $NUM_NODES -eq 1 ]; then
                    sbatch -o sbatch_out/benchmark_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}_iteration${iteration}.out scripts/benchmark_single_node.sbatch ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}

                    sleep 1 # pause to be kind to the scheduler
                else

                    # For multi node
                    gpus=8
                    sbatch -o sbatch_out/benchmark_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}_iteration${iteration}.out scripts/benchmark_multi_node.sbatch ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}

                    sleep 1 # pause to be kind to the scheduler
                fi
            done
        done
    done
done

dim=3
for nodes in {1..1}; do
    for gpus in {1,8}; do
        for batch_size in {1,2,4}; do
            for iteration in {1..1}; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, iteration ${iteration}

                # For single node
                if [ $NUM_NODES -eq 1 ]; then
                    sbatch -o sbatch_out/benchmark_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}_iteration${iteration}.out scripts/benchmark_single_node.sbatch ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}

                    sleep 1 # pause to be kind to the scheduler
                else

                    # For multi node
                    gpus=8
                    sbatch -o sbatch_out/benchmark_dim${dim}_nodes${nodes}_gpus${gpus}_batchsize${batch_size}_iteration${iteration}.out scripts/benchmark_multi_node.sbatch ${dim} ${nodes} ${gpus} ${batch_size} ${iteration}

                    sleep 1 # pause to be kind to the scheduler
                fi
            done
        done
    done
done
